---
title: 'Window: orientationchange event'
slug: Web/API/Window/orientationchange_event
tags:
  - API
  - Event
  - Reference
  - Sensors
  - Window
  - onorientationchange
---
<div>{{APIRef}}</div>

<p>The <code>orientationchange</code> event is fired when the orientation of the device has changed.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler</th>
   <td>{{domxref("Window/onorientationchange", "onorientationchange")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>You can use the <code>orientationchange</code> event in an {{domxref("EventTarget/addEventListener", "addEventListener")}} method:</p>

<pre class="brush:js; notranslate">window.addEventListener("orientationchange", function(event) {
  console.log("the orientation of the device is now " + event.target.screen.orientation.angle);
});
</pre>

<p>Or use the {{domxref("Window/onorientationchange", "onorientationchange")}} event handler property:</p>

<pre class="brush: js notranslate">window.onorientationchange = function(event) {
  console.log("the orientation of the device is now " + event.target.screen.orientation.angle);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Compat', '#event-orientationchange', 'orientationchange')}}</td>
   <td>{{Spec2('Compat')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.orientationchange_event")}}</p>
